Name:		latexila
Version:	3.16.1
Release:	1%{?dist}
Summary:	Integrated LaTeX Environment for the GNOME desktop

Group:		Applications/Publishing
License:	GPLv3+
URL:		http://projects.gnome.org/latexila/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.16/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	enchant-devel
BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk3-devel
BuildRequires:	gtksourceview3-devel
BuildRequires:	gtkspell3-devel
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	vala

Requires:	hicolor-icon-theme
Requires:	gsettings-desktop-schemas
Requires:	rubber latexmk

%description
LaTeXila is an Integrated LaTeX Environment for GNOME. The main features are:
  * Configurable buttons to compile, convert and view a document in one click
  * LaTeX commands auto-completion
  * Symbol tables (Greek letters, arrows, ...)
  * File browser integrated
  * Template managing
  * Menus with the most commonly used LaTeX commands
  * Easy projects management

%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains documentation for %{name}.

%prep
%setup -q

%build
%configure
make V=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%find_lang %{name} --with-gnome

desktop-file-validate \
	 %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

if [ $1 -eq 1 ] ; then
	glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%postun
update-desktop-database &> /dev/null || :

if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README NEWS HACKING
%{_mandir}/man1/%{name}.1.*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml

%files doc
%{_datadir}/gtk-doc/

%changelog
* Sun Apr 19 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.1-1
- Update to 3.16.1
- Use license macro for the COPYING file

* Sun Feb 22 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.2-1
- Update to 3.15.2
- Add -doc subpackage

* Wed Oct 01 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.1-1
- Update to 3.14.1

* Mon Sep 22 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
- Update to 3.14.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Kalev Lember <kalevlember@gmail.com> - 2.12.1-1
- Update to 2.12.1

* Mon Nov 25 2013 Kalev Lember <kalevlember@gmail.com> - 2.10.0-1
- Update to 2.10.0

* Wed Sep 04 2013 Kalev Lember <kalevlember@gmail.com> - 2.8.3-1
- Update to 2.8.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Kalev Lember <kalevlember@gmail.com> - 2.8.2-1
- Update to 2.8.2

* Mon May 13 2013 Kalev Lember <kalevlember@gmail.com> - 2.8.1-1
- Update to 2.8.1

* Thu Mar 28 2013 Kalev Lember <kalevlember@gmail.com> - 2.8.0-1
- Update to 2.8.0

* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 2.6.2-3
- Rebuilt for gtksourceview3 soname bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 24 2012 Kalev Lember <kalevlember@gmail.com> - 2.6.2-1
- Update to 2.6.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 8 2012 Thibault North <tnorth@fedoraproject.org> - 2.4.0-1
- Update to 2.4.0

* Wed Mar 28 2012 Thibault North <tnorth@fedoraproject.org> - 2.3.1-2
- Fix libgee require

* Mon Mar 5 2012 Thibault North <tnorth@fedoraproject.org> - 2.3.1-1
- Update to 2.3.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jan 3 2012 Thibault North <tnorth@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.2.2-2
- Rebuild for new libpng

* Sat Oct 15 2011 Thibault North <tnorth@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2

* Sat Aug 27 2011 Thibault North <tnorth@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0

* Tue Jul 12 2011 Thibault North <tnorth@fedoraproject.org> - 2.0.8-1
- Update to 2.0.8

* Thu Apr 7 2011 Thibault North <tnorth@fedoraproject.org> - 2.0.7-1
- Update to 2.0.7

* Sun Mar 20 2011 Thibault North <tnorth@fedoraproject.org> - 2.0.6-1
- Update to 2.0.6

* Tue Feb 15 2011 Thibault North <tnorth@fedoraproject.org> - 2.0.5-1
- Update to 2.0.5, thanks Sébastien Wilmet

* Thu Nov 25 2010 Thibault North <tnorth@fedoraproject.org> - 2.0.1-4
- A few more fixes

* Mon Nov 22 2010 Thibault North <tnorth@fedoraproject.org> - 2.0.1-3
- Use %%find_lang, fixes by Mohamed El Morabity

* Sun Nov 21 2010 Thibault North <tnorth@fedoraproject.org> - 2.0.1-2
- Small fixes

* Sun Nov 21 2010 Sébastien Wilmet <sebastien.wilmet@gmail.com> - 2.0.1-1
- Release 2.0.1

* Sun Nov 14 2010 Thibault North <tnorth@fedoraproject.org> - 2.0.0-1
- Release 2.0

* Mon Mar 1 2010 Sébastien Wilmet <sebastien.wilmet@gmail.com> - 0.2-1
- New upstream release
- Icons support

* Fri Dec 25 2009 Sébastien Wilmet <sebastien.wilmet@gmail.com> - 0.1-1
- Initial package for Fedora
